Vector stores
Create a vector store file
Creates a vector store file from the supplied request.
Parametry cesty
vector_store_id
string
vyžadováno
The ID of the vector store for which to create a File.
Text požadavku
The request body.
file_id
string
vyžadováno
A File ID that the vector store should use. Useful for tools like file_search that can access files. For multi-file ingestion, we recommend file_batches to minimize per-vector-store write requests.
chunking_strategy
auto | static
The chunking strategy used to chunk the file(s). If not set, will use the auto strategy.
auto
OpenAI.AutoChunkingStrategyRequestParam
The default strategy. This strategy currently uses a max_chunk_size_tokens of 800 and chunk_overlap_tokens of 400.
type
enum
vyžadováno
Always auto.
static
OpenAI.StaticChunkingStrategyRequestParam
Customize your own chunking strategy by setting chunk size and chunk overlap.
type
enum
vyžadováno
Always static.
static
OpenAI.StaticChunkingStrategy
vyžadováno
attributes
OpenAI.VectorStoreFileAttributes | null
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters, booleans, or numbers.
[key: string]
string | OpenAI.numeric | boolean
Odpovědi
The request has succeeded.
Text
id
string
vyžadováno
The identifier, which can be referenced in API endpoints.
object
enum
vyžadováno
The object type, which is always vector_store.file.
created_at
integer
vyžadováno
The Unix timestamp (in seconds) for when the vector store file was created.
vector_store_id
string
vyžadováno
The ID of the vector store that the File is attached to.
status
enum
vyžadováno
The status of the vector store file, which can be either in_progress, completed, cancelled, or failed. The status completed indicates that the vector store file is ready for use.
last_error
OpenAI.VectorStoreFileObjectLastError | null
vyžadováno
code
enum
vyžadováno
attributes
OpenAI.VectorStoreFileAttributes | null
Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters, booleans, or numbers.
[key: string]
string | OpenAI.numeric | boolean
chunking_strategy
static | other
The strategy used to chunk the file.
static
OpenAI.StaticChunkingStrategyResponseParam
type
enum
vyžadováno
Always static.
static
OpenAI.StaticChunkingStrategy
vyžadováno
other
OpenAI.OtherChunkingStrategyResponseParam
This is returned when the chunking strategy is unknown. Typically, this is because the file was indexed before the chunking_strategy concept was introduced in the API.
type
enum
vyžadováno
Always other.
Žádost
curl https://api.openai.com/v1/vector_stores/vs_abc123/files \
-H "Authorization: Bearer $OPENAI_API_KEY" \
-H "Content-Type: application/json" \
-H "OpenAI-Beta: assistants=v2" \
-d '{
"file_id": "file-abc123"
}'
import os
from openai import OpenAI
client = OpenAI(
api_key=os.environ.get("OPENAI_API_KEY"), # This is the default and can be omitted
)
vector_store_file = client.vector_stores.files.create(
vector_store_id="vs_abc123",
file_id="file_id",
)
print(vector_store_file.id)
import OpenAI from "openai";
const openai = new OpenAI();
async function main() {
const myVectorStoreFile = await openai.vectorStores.files.create(
"vs_abc123",
{
file_id: "file-abc123"
}
);
console.log(myVectorStoreFile);
}
main();
import OpenAI from 'openai';
const client = new OpenAI({
apiKey: process.env['OPENAI_API_KEY'], // This is the default and can be omitted
});
const vectorStoreFile = await client.vectorStores.files.create('vs_abc123', { file_id: 'file_id' });
console.log(vectorStoreFile.id);
package main
import (
"context"
"fmt"
"github.com/openai/openai-go"
"github.com/openai/openai-go/option"
)
func main() {
client := openai.NewClient(
option.WithAPIKey("My API Key"),
)
vectorStoreFile, err := client.VectorStores.Files.New(
context.TODO(),
"vs_abc123",
openai.VectorStoreFileNewParams{
FileID: "file_id",
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v
", vectorStoreFile.ID)
}
package com.openai.example;
import com.openai.client.OpenAIClient;
import com.openai.client.okhttp.OpenAIOkHttpClient;
import com.openai.models.vectorstores.files.FileCreateParams;
import com.openai.models.vectorstores.files.VectorStoreFile;
public final class Main {
private Main() {}
public static void main(String[] args) {
OpenAIClient client = OpenAIOkHttpClient.fromEnv();
FileCreateParams params = FileCreateParams.builder()
.vectorStoreId("vs_abc123")
.fileId("file_id")
.build();
VectorStoreFile vectorStoreFile = client.vectorStores().files().create(params);
}
}
require "openai"
openai = OpenAI::Client.new(api_key: "My API Key")
vector_store_file = openai.vector_stores.files.create("vs_abc123", file_id: "file_id")
puts(vector_store_file)
Response
{
"id": "file-abc123",
"object": "vector_store.file",
"created_at": 1699061776,
"usage_bytes": 1234,
"vector_store_id": "vs_abcd",
"status": "completed",
"last_error": null
}